-- TODO: Update account name. 
select TRANSAMOUNT, REPEATS, NUMOCCURRENCES, NEXTOCCURRENCEDATE,
(
    select INITIALBAL + total(TRANSAMOUNT)
    from
        (select ACCOUNTID, STATUS,
            (case when TRANSCODE = 'Deposit' then TRANSAMOUNT else -TRANSAMOUNT end) as TRANSAMOUNT
        from CHECKINGACCOUNT_V1
        union all
        select TOACCOUNTID, STATUS, TOTRANSAMOUNT 
        from CHECKINGACCOUNT_V1
        where TRANSCODE = 'Transfer') as t
    where  t.ACCOUNTID = a.ACCOUNTID
        and t.STATUS <> 'V') as Balance
from 
    (select ACCOUNTID, STATUS, REPEATS, NUMOCCURRENCES, NEXTOCCURRENCEDATE,
        (case when TRANSCODE = 'Deposit' then TRANSAMOUNT else -TRANSAMOUNT end) as TRANSAMOUNT
    from BILLSDEPOSITS_V1
    union all
    select TOACCOUNTID, STATUS, REPEATS, NUMOCCURRENCES, NEXTOCCURRENCEDATE, TOTRANSAMOUNT
    from BILLSDEPOSITS_V1
    where TRANSCODE = 'Transfer') as b
inner join  ACCOUNTLIST_V1 as a
on b.ACCOUNTID = a.ACCOUNTID
where ACCOUNTNAME = 'Account1'
and b.STATUS <> 'V';
